public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] proj/ruby-overlay:master commit in: dev-ruby/bundler/
@ 2012-09-03 17:21 Michel Boaventura
  0 siblings, 0 replies; 2+ messages in thread
From: Michel Boaventura @ 2012-09-03 17:21 UTC (permalink / raw
  To: gentoo-commits

commit:     f5ff9b24ce9629b5e09fb4d5d915d288cf0ddf45
Author:     Michel Boaventura <michel <AT> michelboaventura <DOT> com>
AuthorDate: Mon Sep  3 17:16:52 2012 +0000
Commit:     Michel Boaventura <michel.boaventura <AT> gmail <DOT> com>
CommitDate: Mon Sep  3 17:16:52 2012 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/ruby-overlay.git;a=commit;h=f5ff9b24

Bump bundler to 1.2.0

---
 dev-ruby/bundler/ChangeLog            |    7 +++++
 dev-ruby/bundler/bundler-1.2.0.ebuild |   45 +++++++++++++++++++++++++++++++++
 dev-ruby/bundler/metadata.xml         |    5 +++
 3 files changed, 57 insertions(+), 0 deletions(-)

diff --git a/dev-ruby/bundler/ChangeLog b/dev-ruby/bundler/ChangeLog
new file mode 100644
index 0000000..8453f8d
--- /dev/null
+++ b/dev-ruby/bundler/ChangeLog
@@ -0,0 +1,7 @@
+# ChangeLog for dev-ruby/bundler
+# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/dev-ruby/bundler/ChangeLog,v 1.41 2012/08/14 03:10:38 flameeyes Exp $
+
+*bundler-1.2.0 (03 Sep 2012)
+  03 Sep 2012; Michel Boaventura <michel.boaventura@gmail.com> +bundler-1.2.0.ebuild +Manifest +Changelog +metadata.xml:
+  Version bump

diff --git a/dev-ruby/bundler/bundler-1.2.0.ebuild b/dev-ruby/bundler/bundler-1.2.0.ebuild
new file mode 100644
index 0000000..45675dd
--- /dev/null
+++ b/dev-ruby/bundler/bundler-1.2.0.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-ruby/bundler/bundler-1.1.5.ebuild,v 1.2 2012/08/14 03:10:38 flameeyes Exp $
+
+EAPI=4
+
+# jruby → needs to be tested because jruby-1.5.1 fails in multiple
+# ways unrelated to this package.
+
+USE_RUBY="ruby18 ruby19 ree18"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec"
+
+# No documentation task
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="README.md CHANGELOG.md ISSUES.md UPGRADING.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="An easy way to vendor gem dependencies"
+HOMEPAGE="http://github.com/carlhuda/bundler"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE=""
+
+ruby_add_rdepend virtual/rubygems
+
+ruby_add_bdepend "test? ( app-text/ronn )"
+
+RDEPEND+=" dev-vcs/git"
+DEPEND+=" test? ( dev-vcs/git )"
+
+all_ruby_prepare() {
+	# Bundler only supports running the specs from git:
+	# http://github.com/carlhuda/bundler/issues/issue/738
+	sed -i -e '751s/should/should_not/' spec/runtime/setup_spec.rb || die
+
+	# Fails randomly and no clear cause can be found. Might be related
+	# to bug 346357. This was broken in previous releases without a
+	# failing spec, so patch out this spec for now since it is not a
+	# regression.
+	sed -i -e '/works when you bundle exec bundle/,/^  end/ s:^:#:' spec/install/deploy_spec.rb || die
+}

diff --git a/dev-ruby/bundler/metadata.xml b/dev-ruby/bundler/metadata.xml
new file mode 100644
index 0000000..8521361
--- /dev/null
+++ b/dev-ruby/bundler/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>ruby</herd>
+</pkgmetadata>


^ permalink raw reply related	[flat|nested] 2+ messages in thread

* [gentoo-commits] proj/ruby-overlay:master commit in: dev-ruby/bundler/
@ 2012-12-15 11:05 Hans de Graaff
  0 siblings, 0 replies; 2+ messages in thread
From: Hans de Graaff @ 2012-12-15 11:05 UTC (permalink / raw
  To: gentoo-commits

commit:     370e056886fefe022bc24478856bff2623bc5e69
Author:     Hans de Graaff <hans <AT> degraaff <DOT> org>
AuthorDate: Sat Dec 15 11:05:05 2012 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Dec 15 11:05:05 2012 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/ruby-overlay.git;a=commit;h=370e0568

A newer version is now in the Gentoo tree.

---
 dev-ruby/bundler/ChangeLog            |    7 -----
 dev-ruby/bundler/bundler-1.2.0.ebuild |   45 ---------------------------------
 dev-ruby/bundler/metadata.xml         |    5 ---
 3 files changed, 0 insertions(+), 57 deletions(-)

diff --git a/dev-ruby/bundler/ChangeLog b/dev-ruby/bundler/ChangeLog
deleted file mode 100644
index 8453f8d..0000000
--- a/dev-ruby/bundler/ChangeLog
+++ /dev/null
@@ -1,7 +0,0 @@
-# ChangeLog for dev-ruby/bundler
-# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-ruby/bundler/ChangeLog,v 1.41 2012/08/14 03:10:38 flameeyes Exp $
-
-*bundler-1.2.0 (03 Sep 2012)
-  03 Sep 2012; Michel Boaventura <michel.boaventura@gmail.com> +bundler-1.2.0.ebuild +Manifest +Changelog +metadata.xml:
-  Version bump

diff --git a/dev-ruby/bundler/bundler-1.2.0.ebuild b/dev-ruby/bundler/bundler-1.2.0.ebuild
deleted file mode 100644
index 45675dd..0000000
--- a/dev-ruby/bundler/bundler-1.2.0.ebuild
+++ /dev/null
@@ -1,45 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-ruby/bundler/bundler-1.1.5.ebuild,v 1.2 2012/08/14 03:10:38 flameeyes Exp $
-
-EAPI=4
-
-# jruby → needs to be tested because jruby-1.5.1 fails in multiple
-# ways unrelated to this package.
-
-USE_RUBY="ruby18 ruby19 ree18"
-
-RUBY_FAKEGEM_RECIPE_TEST="rspec"
-
-# No documentation task
-RUBY_FAKEGEM_TASK_DOC=""
-RUBY_FAKEGEM_EXTRADOC="README.md CHANGELOG.md ISSUES.md UPGRADING.md"
-
-inherit ruby-fakegem
-
-DESCRIPTION="An easy way to vendor gem dependencies"
-HOMEPAGE="http://github.com/carlhuda/bundler"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
-IUSE=""
-
-ruby_add_rdepend virtual/rubygems
-
-ruby_add_bdepend "test? ( app-text/ronn )"
-
-RDEPEND+=" dev-vcs/git"
-DEPEND+=" test? ( dev-vcs/git )"
-
-all_ruby_prepare() {
-	# Bundler only supports running the specs from git:
-	# http://github.com/carlhuda/bundler/issues/issue/738
-	sed -i -e '751s/should/should_not/' spec/runtime/setup_spec.rb || die
-
-	# Fails randomly and no clear cause can be found. Might be related
-	# to bug 346357. This was broken in previous releases without a
-	# failing spec, so patch out this spec for now since it is not a
-	# regression.
-	sed -i -e '/works when you bundle exec bundle/,/^  end/ s:^:#:' spec/install/deploy_spec.rb || die
-}

diff --git a/dev-ruby/bundler/metadata.xml b/dev-ruby/bundler/metadata.xml
deleted file mode 100644
index 8521361..0000000
--- a/dev-ruby/bundler/metadata.xml
+++ /dev/null
@@ -1,5 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
-<herd>ruby</herd>
-</pkgmetadata>


^ permalink raw reply related	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2012-12-15 11:05 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2012-12-15 11:05 [gentoo-commits] proj/ruby-overlay:master commit in: dev-ruby/bundler/ Hans de Graaff
  -- strict thread matches above, loose matches on Subject: below --
2012-09-03 17:21 Michel Boaventura

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox